
Node('LOGO.psi.ch',
     'LOGO',
     interface='tcp://5010',
     secondary = ['ws://8010']
)

Mod('io',
    'frappy_psi.logo.IO',
    '',
    ip_address = "192.168.0.3",
    tcap_client = 0x3000,
    tsap_server = 0x2000
)

Mod('V1',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1025.0",
    vm_address_output ="V1064.3"
)

Mod('V2',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.2",
    vm_address_output ="V1064.5"
)

Mod('V4',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.5",   
    vm_address_output ="V1064.5"
)

Mod('V5',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.4", 
    vm_address_output ="V1064.2"
)

Mod('V9',
    'frappy_psi.logo.Valve',
    'Valves',
    io = 'io',
    vm_address_input ="V1024.3",
    vm_address_output ="V404.1"
)

Mod('pump',
    'frappy_psi.logo.FluidMachines',
    'Pump',
    io = 'io',
    vm_address_output ="V414.1"
)

Mod('compressor',
    'frappy_psi.logo.FluidMachines',
    'Compressor',
    io = 'io',
    vm_address_output ="V400.1"
)

Mod('p2',
    'frappy_psi.logo.Pressure',
    'Pressure in mBar',
    io = 'io',
    vm_address ="VW0",
)

Mod('p1',
    'frappy_psi.logo.Pressure',
    'Pressure in mBar',
    io = 'io',
    vm_address ="VW2",
)

Mod('p5',
    'frappy_psi.logo.Pressure',
    'Pressure in mBar',
    io = 'io',
    vm_address ="VW4",
)

Mod('Druckluft',
    'frappy_psi.logo.Airpressure',
    'Airpressure state',
    io = 'io',
    vm_address ="VW6",
)



Mod('SF1',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V410.1",
)

Mod('SF2',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V406.1",
)

Mod('SF3',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V408.1",
)

Mod('SF4',
    'frappy_psi.logo.safetyfeatureState',
    'Safety Feature',
    io = 'io',
    vm_address ="V412.1",
)

Mod('p2max',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    vm_address ="VW8",
)

Mod('pcond',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    vm_address ="VW10",
)

Mod('p5min',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    vm_address ="VW12",
)

Mod('p5max',
    'frappy_psi.logo.safetyfeatureParam',
    'Safety Feature Param',
    io = 'io',
    vm_address ="VW14",
)

"""
Mod('io_ls273',
    'frappy_psi.ls372.StringIO',
    'io for Ls372',
    uri = 'localhost:2089',
    )
Mod('sw',
    'frappy_psi.ls372.Switcher',
    'channel switcher',
    io = 'io_ls273',
)
Mod('res1',
    'frappy_psi.ls372.ResChannel',
    'resistivity chan 1',
    vexc = '2mV',
    channel = 1,
    switcher = 'sw',
)
"""

Mod('io_pfeiffer',
    'frappy_psi.pfeiffer_new.PfeifferProtocol',
    '',
    uri='serial:///dev/ttyUSB0?baudrate=9600+parity=none+bytesize=8+stopbits=1',
)

Mod('io_turbo',
    'frappy_psi.pfeiffer_new.PfeifferProtocol',
    '',
    uri='serial:///dev/ttyUSB1?baudrate=9600+parity=none+bytesize=8+stopbits=1',
)

Mod('p3',
    'frappy_psi.pfeiffer_new.RPT200',
    'Pressure in HPa',
    io = 'io_pfeiffer',
    address= 2,
)

Mod('p4',
    'frappy_psi.pfeiffer_new.RPT200',
    'Pressure in HPa',
    io = 'io_pfeiffer',
    address= 4
)

Mod('turbopump',
    'frappy_psi.pfeiffer_new.TCP400',
    'Pfeiffer Turbopump',
    io = 'io_turbo',
    address= 1
)

Mod('MV10',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV10'
)

Mod('MV13',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV13'
)

Mod('MV8',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV8'
)

Mod('MVB',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MVB'
)

Mod('MV2',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV2'
)

Mod('MV1',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV1'
)


Mod('MV3a',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV3a'
)

Mod('MV3b',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV3b'
)

Mod('GV1',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve GV1'
)

Mod('GV2',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve GV2'
)

Mod('MV14',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV14'
)

Mod('MV12',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV12'
)

Mod('MV11',

    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV11'
)

Mod('MV9',
    'frappy_psi.manual_valves.ManualValve',
    'Manual Valve MV9'
)

Mod('stateMachine',
    'frappy_psi.dilution_statemachine.DIL5',
    'Statemachine',
    
    condenseline_pressure = "p2",
    condense_valve = "V9",
    dump_valve = "V4",
    circulate_pump = "pump",
    compressor = "compressor",
    turbopump = "turbopump",
    condenseline_valve = "V1",
    circuitshort_valve = "V2",
    still_pressure = "p3",
    #ls372 = "res1",
    V5 = "V5",
    p1 = "p1",
    
    MV10 = 'MV10',
    MV13 ='MV13',
    MV8 = 'MV8',
    MVB = 'MVB',
    MV2 = 'MV2',

    MV1 = 'MV1',
    MV3a = 'MV3a',
    MV3b = 'MV3b',
    GV1 = 'GV1',
    MV14 = 'MV14',
    MV12 = 'MV12',
    MV11 = 'MV11',
    MV9 = 'MV9',
    GV2 = 'GV2',
    condensing_p_low  = 150,
    condensing_p_high = 250
)


