# *****************************************************************************
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Module authors:
#  Andrea Plank <andrea.plank@psi.ch>
#
# *****************************************************************************

from frappy.core import Readable, Parameter, FloatRange, BoolType, StringIO, HasIO, \
    Property, StringType, Writable, IntRange, IDLE, BUSY, ERROR
from frappy.errors import CommunicationFailedError

class ManualValve(Writable):
    target = Parameter('Valve target', datatype = BoolType())
    value = Parameter('Valve state', datatype = BoolType()) 
    
    def read_value(self):
        return self.value
    
    def write_target(self, target):
        self.value = target
        return self.value
    
    def read_status(self):
        return IDLE, ''  
